import {createRouter, createWebHistory} from 'vue-router'
import Home from '@/views/Home.vue'
import About from '@/views/About.vue'
import Pathway from '@/views/Pathway.vue'

const routes = [
    {path: '/', name: 'Home', component: Home},
    {path: '/about', name: 'About', component: About},
    {path: '/pathways/:slug', name: 'Pathway', component: Pathway}
]

const router = createRouter( {
    history: createWebHistory(),
    routes: routes
})

export default router
